## cmatrix 1.2a%2Bgit20181122

=== debian/changelog ===
cmatrix (1.2a+git20181122-1) unstable; urgency=medium

  * New maintainer. (ITS; Closes: #912598)
  * New upstream on GitHub.
  * debian/control:
    + Bump debhelper compat to v11.
    + Bump Standards-Version to 4.2.1.
    + Use new upstream homepage.
    + Use Vcs-* fields and point to git repo under Salsa Debian
      group.
    + Use dh syntax instead of cdbs.
  * debian/rules:
    + Enable full hardening.
  * debian/patches:
    + Add patch to restore man page synopsis description.
  * debian/desktop: Add .desktop file to replace .menu file
    for desktop program entry.
  * debian/copyright: Rewrite using machine-readable format.
  * debian/watch: Monitor new upstream.

 -- Boyuan Yang <byang@debian.org>  Sat, 08 Dec 2018 15:22:33 -0500

cmatrix (1.2a-5) unstable; urgency=low

  * Corrected package description. Closes: #711724
  * Update Standards-Version to 3.9.5
  * Add ${misc:Depends} to cmatrix binary package Depends
  * Set source format to 1.0

 -- Diego Fernández Durán <diego@goedi.net>  Sun, 16 Mar 2014 15:23:46 +0100

cmatrix (1.2a-4) unstable; urgency=low

  * New maintainer. Closes: #465929

 -- Diego Fernández Durán <diego@goedi.net>  Mon, 28 Jul 2008 22:03:08 +0200

cmatrix (1.2a-3) unstable; urgency=low

  * QA upload.
  * Acknowledging NMU (Closes: #362323, #290089)
  * debian/control
    - set maintainer to QA Group
    - bump Standards-Version to 3.8.0
    - bump debhelper versione build-dep to at least 5
    - reformat of cmatrix short description
    - added period at end of cmatrix long description
    - added Homepage field
    - replaced recommends on console-tools with kbd; Closes: #387129, #281796
    - added build-dep to autotools-dev to fix outdated config.{sub,guess};
      thanks to Vincent Bernat for noticing
  * debian/copyright
    - indented upstream author and copyright with 4 spaces
    - enhanced license text
    - updated FSF address
  * debian/cmatrix.menu
    - updated section to Screen/Saving
  * cmatrix.1
    - fixed WhatIs manpage section (lintian warning)

 -- Sandro Tosi <matrixhasu@gmail.com>  Sat, 26 Jul 2008 16:21:19 +0200

cmatrix (1.2a-2.1) unstable; urgency=high

  * Non-maintainer upload with high urgency for fixing RC-bug.
  * Updated to Standards version 3.7.2
  * Completed xfonts transitions (Closes: #362323)
    + Install fonts in /usr/share/fonts/X11
  * Adjust debian/copyright (Closes: #290089)

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Tue, 12 Dec 2006 05:28:21 +0100

cmatrix (1.2a-2) unstable; urgency=low

  * cmatric.c: Fix segfault on terminal resize (Closes: Bug#268811)
  * debian/control: Change section on cmatrix-xfont to match override

 -- Edward Betts <edward@debian.org>  Thu, 23 Sep 2004 22:37:18 +0100

cmatrix (1.2a-1) unstable; urgency=low

  * New upstream release (Closes: Bug#172587)
  * debian/control: Standards-Version: 3.6.1
  * debian/copyright: version GPL (Closes: Bug#133490)
  * debian/rules: rewrite using cdbs

 -- Edward Betts <edward@debian.org>  Mon, 23 Aug 2004 23:47:06 +0100

cmatrix (1.1b-5) unstable; urgency=low

  * debian/control: split X11 font into seperate package
  * debian/control: no longer depends on xbase-clients
  * debian/control: removed version depends from xutils
  * debian/rules: handle package split
  * debian/rules: gave up using dh_installxfonts,
    rolled my own postinst and postrm (Closes: Bug#89095)

 -- Edward Betts <edward@debian.org>  Tue, 10 Apr 2001 11:31:36 -0600

cmatrix (1.1b-4) unstable; urgency=low

  * debian/control: Standards-Version: 3.5.2
  * debian/rules: Changed to debhelper 3
  * debian/rules: Removed dh_suidregister
  * debian/rules: Removed dh_testversion
  * debian/rules: Added dh_installxfonts (Closes: Bug#89095)
  * debian/rules: Support DEB_BUILD_OPTIONS

 -- Edward Betts <edward@debian.org>  Sun, 25 Mar 2001 04:31:39 -0700

cmatrix (1.1b-3) unstable; urgency=low

  * Added Depends on xutils because postinst uses mkfontdir
    (closes: Bug#79879)

 -- Edward Betts <edward@debian.org>  Tue, 19 Dec 2000 05:25:06 -0700

cmatrix (1.1b-2) unstable; urgency=low

  * Updated Standards-Version to 3.2.1
  * Added version to debhelper build-depends to match dh_testversion

 -- Edward Betts <edward@debian.org>  Mon, 30 Oct 2000 15:13:34 -0700

cmatrix (1.1b-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Depends: kbd|kbd-compat -> Recommends: console-tools
  * debian/README.Debian: removed.
  * debian/copyright: updated with new e-mail and web addresses.
  * debian/watch: updated with new web address.

 -- Edward Betts <edward@debian.org>  Mon, 17 Apr 2000 11:31:14 +0100

cmatrix (1.0b-1) unstable; urgency=low

  * Initial Release.

 -- Edward Betts <edward@debian.org>  Sun,  7 Nov 1999 14:00:35 +0000
