=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%cmatrix-$1.tar.gz%" \
 https://github.com/abishekvashok/cmatrix/tags \
 (?:.*?/)?(\d[\d.]*)\.tar\.gz debian uupdate
