## cmatrix 2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 cmake_minimum_required(VERSION 2.8)
 
 project(CMatrix LANGUAGES C)
-set(VERSION "1.2")
+set(VERSION "2.0")
 
 # These are relative to CMAKE_INSTALL_PREFIX
 # which by default is "/usr/local"
@@ -14,6 +14,7 @@
 
 add_definitions(-DEXCLUDE_CONFIG_H)
 add_definitions(-DVERSION="${VERSION}")
+add_definitions(-DUSE_TIOCSTI)
 
 include(CheckIncludeFiles)
 check_include_files("sys/ioctl.h" HAVE_SYS_IOCTL_H)
