=== debian/changelog ===
cmatrix (2.0-6) unstable; urgency=medium

  * New maintainer. (Closes: #1037438)
  * debian/cmatrix.desktop:
      - Added new keyword.
      - Updated 'Version' and 'Icon' fields.
  * debian/cmatrix.install: added entry to install the new icon.
  * debian/cmatrix.png: added to provide a high resolution icon.
  * debian/copyright:
      - Added an email address for upstream.
      - Converted the last paragraph of the GPL-3+ in a comment.
      - Updated packaging copyright data.
  * debian/patches/: updated all headers in all patches.
  * debian/rules: removed useless variable 'DEB_LDFLAGS_MAINT_APPEND'.
  * debian/source/include-binaries: created to list image debian/cmatrix.png.
  * debian/tests/control: added a superficial CI test.
  * debian/upstream/metadata: added field Donation.
  * debian/watch: updated the search rule to make it compliant with new
    standards of the GitHub.

 -- Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>  Fri, 08 Sep 2023 08:42:14 -0300

cmatrix (2.0-5) unstable; urgency=medium

  * QA upload.
  * debian/control: Actually set maintainer to Debian QA Group.

 -- Boyuan Yang <byang@debian.org>  Fri, 25 Aug 2023 14:20:08 -0400

cmatrix (2.0-4) unstable; urgency=medium

  * QA upload.
  * Orphan the package. (See #1037438)
  * debian/control: Bump Standards-Version to 4.6.2.

 -- Boyuan Yang <byang@debian.org>  Mon, 12 Jun 2023 17:13:47 -0400

cmatrix (2.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Boyuan Yang ]
  * Update standards version to 4.5.1, no changes needed.
  * Bump debhelper compat to v13.

 -- Boyuan Yang <byang@debian.org>  Wed, 13 Jan 2021 00:17:53 -0500

cmatrix (2.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control:
    + Bump Standards-Version to 4.4.0.
    + Add build-dependency console-setup-linux so that the
      configure script can correctly detect the directory.

 -- Boyuan Yang <byang@debian.org>  Tue, 09 Jul 2019 15:01:07 -0400

cmatrix (2.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/patches: Add patch to fix upstream issue #78.
  * debian/control:
    + Bump debhelper compat to v12.
    + Update build-dependency from libncurses5-dev to libncurses-dev.

 -- Boyuan Yang <byang@debian.org>  Tue, 07 May 2019 13:01:35 -0400
