=== debian/tests/control ===
Test-Command: cmatrix -v
Restrictions: superficial
