=== debian/watch ===
version=4
https://github.com/abishekvashok/cmatrix/tags .*/tags/v?(\d\S+)@ARCHIVE_EXT@
